# This is the configuring for logging displayed in the Application Server
log4j.rootCategory=debug,stdout,web

################################
# common appenders
################################
#stdout configure
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.conversionPattern= %d %-5p %C{1} - %m%n

#web file appender
log4j.appender.web=org.apache.log4j.DailyRollingFileAppender
log4j.appender.web.file=../ebpmlogs/ebpm-process-manage-web.log
log4j.appender.web.layout=org.apache.log4j.PatternLayout
log4j.appender.web.layout.conversionPattern= %d %-5p %C{1} - %m%n



################################
# sql loggers
################################
log4j.logger.jdbc.sqlonly=OFF
log4j.logger.jdbc.sqltiming=ERROR
#log4j.logger.jdbc.sqltiming=OFF
#log4j.additivity.jdbc.sqltiming=false
log4j.logger.jdbc.audit=ERROR
log4j.logger.jdbc.resultset=ERROR
log4j.logger.jdbc.connection=ERROR

################################
# bpm loggers
################################
log4j.logger.org.activiti = ERROR
log4j.logger.org.activiti.engine.impl.persistence.entity=ERROR
log4j.logger.org.activiti.engine.impl.history.DefaultHistoryManager=ERROR
log4j.logger.org.activiti.engine.impl.interceptor.CommandContextInterceptor=ERROR
log4j.logger.org.activiti.engine.impl.jobexecutor=ERROR
log4j.logger.org.activiti.engine.impl.interceptor.LogInterceptor=ERROR
log4j.logger.org.activiti.spring=ERROR
log4j.logger.org.activiti.engine.impl.db.DbSqlSession = ERROR
log4j.logger.com.blueland.bpm.engine.util= DEBUG
################################
# open source framework loggers
################################
log4j.logger.org.springframework=ERROR
log4j.logger.org.springframework.jdbc=ERROR
log4j.logger.org.springframework.web=ERROR
log4j.logger.org.mybatis.spring=ERROR
#log4j.logger.log4jdbc.debug=ERROR
log4j.logger.net.sf.ehcache.util=ERROR
log4j.logger.net.sf.ehcache.statistics=ERROR
log4j.logger.org.apache.commons=ERROR
log4j.logger.org.hibernate=ERROR
log4j.logger.org.apache.ibatis=ERROR
log4j.logger.cn.org.rapid_framework=ERROR
log4j.logger.org.directwebremoting = ERROR

